<template>
   <div id="seventh_section" class="wrapper row">
       <!-- <NavSection  colorLink="red" colorLine="blue" ></NavSection> -->
    <div class="tariffs">
        <h2 class="tariffs__title section-title">{{ local.title[$lang] }}</h2>
        <ul class="tariffs__list-tariffs">
            <li class="tariff">
                <div class="tariff__wrapperLeft standart">
                    <h3 class="tariff__title">{{ local.standart.title[$lang] }}</h3>
                    <p class="tariff__description">{{ local.standart.description[$lang] }}</p>
                    <p class="tariff__percent"><span>5%</span> <br> {{ local.standart.descriptionPercent[$lang] }} </p>
                </div>
                <ul class="tariff__wrapperRight">
                    <li class="tariff__item-description" v-html="local.standart.descriptionItem1[$lang]"></li>
                    <li class="tariff__item-description">{{ local.standart.descriptionItem2[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.standart.descriptionItem3[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.standart.descriptionItem4[$lang] }}</li>
                </ul>
            </li>
             <li class="tariff">
                <div class="tariff__wrapperLeft vip">
                    <h3 class="tariff__title ">{{ local.vip.title[$lang] }}</h3>
                    <p class="tariff__description">{{ local.vip.description[$lang] }}</p>
                    <p class="tariff__percent"><span>0,2%</span> <br>{{ local.vip.descriptionPercent[$lang] }}</p>
                </div>
                <ul class="tariff__wrapperRight">
                    <li class="tariff__item-description">{{ local.vip.descriptionItem1[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.vip.descriptionItem2[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.vip.descriptionItem3[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.vip.descriptionItem4[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.vip.descriptionItem5[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.vip.descriptionItem6[$lang] }}</li>
                </ul>
            </li>
             <li class="tariff">
                <div class="tariff__wrapperLeft standartP">
                    <h3 class="tariff__title ">{{ local.plus.title[$lang] }}</h3>
                    <p class="tariff__description">{{ local.plus.description[$lang] }}</p>
                    <p class="tariff__percent"><span>3%</span> <br>{{ local.plus.descriptionPercent[$lang] }}</p>
                </div>
                <ul class="tariff__wrapperRight">
                    <li class="tariff__item-description" v-html="local.plus.descriptionItem1[$lang]"></li>
                    <li class="tariff__item-description">{{ local.plus.descriptionItem2[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.plus.descriptionItem3[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.plus.descriptionItem4[$lang] }}</li>
                </ul>
            </li>
            <li class="tariff">
                <div class="tariff__wrapperLeft premium">
                    <h3 class="tariff__title ">{{ local.premium.title[$lang] }}</h3>
                    <p class="tariff__description">{{ local.premium.description[$lang] }}</p>
                    <p class="tariff__percent"><span>2%</span> <br> {{ local.premium.descriptionPercent[$lang] }}</p>
                </div>
                <ul class="tariff__wrapperRight">
                    <li class="tariff__item-description">{{ local.premium.descriptionItem1[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.premium.descriptionItem2[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.premium.descriptionItem3[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.premium.descriptionItem4[$lang] }}</li>
                    <li class="tariff__item-description">{{ local.premium.descriptionItem5[$lang] }}</li>
                </ul>
            </li>
        </ul>
        <p class="tariffs__footer-text" v-html="local.textFooter[$lang]"></p>
    </div>
   </div> 
</template>

<script>
    import NavSection from "./NavSection.vue"
    import local from "../localisation/seventhSectionLocalisation.js"
    export default {
        data: () => ({
            local
        }),
        components: {
            NavSection
        }
    }
</script>

<style lang="scss" scoped>
    .wrapper {
        justify-content: center;
        background-color: #edf2f5;
        min-height: 100vh;
        @media(max-width: 620px) {
            padding-left: 20px;
            padding-right: 20px;
        }
    }

    .wrapper > div {
        @media(max-width: 620px) {
            padding-left: 0;
            padding-right: 0;
        }
    }
    .tariffs{
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 1680px;
        width: 100%;
        &__title{
            margin-top: 122px;
            @media(max-width: 1100px){
                margin-top: 70px;
            }
            @media(max-width: 900px){
                margin-top: 30px;
            }
             @media(max-width: 620px){
                font-size: 20px;
            }
        }
        &__list-tariffs{
            max-width: 1300px;
            width: 100%;
            padding: 0;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            list-style-type: none;
            
        }
        &__footer-text{
            max-width: 1300px;
            padding-bottom: 67px;
            font-family: OpenSans;
            font-size: 10px;
            line-height: 1.6;
            text-align: center;
            color: #83919c;
             @media(max-width: 620px){
                display: none;
            }
        }
        &__footer-text br{
            @media(max-width: 900px){
                display: none;
            }
        }
       
    }
    .tariff{
        display: flex;
        width: 574px;
        min-height: 320px;
        margin-right:20px ;
        margin-bottom: 20px;
        border-radius: 8px;
        background-color: #ffffff;
        @media(max-width: 1334px) {
            &:nth-of-type(2) {
                order: 4;
            }
        }
        @media(max-width: 900px) {
            min-height: 220px;
            max-width: 708px;
            width: 100%;
            margin-right: 0;
        }
        @media(max-width: 600px) {
            flex-direction: column;
            width: 280px;
        }
        &__wrapperLeft{
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 278px;
            height: 320px;
            border-radius: 8px 0 0 8px;
            background-color: #a2b7c8;
            @media(max-width: 900px){
               height: 220px;
            }
            @media(max-width: 600px){
                height: auto;
              border-radius: 8px 8px 0 0px;
            }
        }
        &__title{
            margin-top: 32px;
            margin-bottom: 10px;
            font-family: 'Comfortaa', sans-serif;
            font-size: 20px;
            font-weight: bold;
            letter-spacing: 0.63px;
            text-align: center;
            text-transform: uppercase;
            color: #ffffff;
             @media(max-width: 900px){
                margin-top: 20px; 
             }   
            
        }
        &__description{
            width: 200px;
            // margin-top: 20px;
            font-family: 'Comfortaa', sans-serif;
            font-size: 10px;
            font-weight: bold;
            letter-spacing: 0.71px;
            text-align: center;
            text-transform: uppercase;
            color: #dae4ec;
             @media(max-width: 600px){
                margin-top: -7px;
            }

        }
        &__percent{
            width: 160px;   
            height: 150px;
            margin-top: 43px;
            font-family: 'Comfortaa', sans-serif;
            text-transform: uppercase;
            font-size: 10px;
            font-weight: bold;
            letter-spacing: 0.71px;
            text-align: center;
            font-weight: normal;
            color: #ffffff;
            @media(max-width: 900px){
                margin-top: 30px;
            }
            @media(max-width: 600px){
                 height: 105px;
                margin-top: -7px;
            }
        }
        &__percent span{
            font-family: 'Comfortaa', sans-serif;
            font-size: 60px;
            font-weight: normal;
            letter-spacing: 1.13px;
            color: #ffffff;
            @media(max-width: 900px){
               font-size: 40px;
            }
        }
        &__wrapperRight{
            width: 296px;
            height: 320px;
            padding: 40px 20px 10px 70px;
            border-radius: 8px;
            background-color: #ffffff;
            list-style-type: none;
            @media(max-width: 900px){
              height: 220px;
               width: 450px;
               padding: 15px 20px 10px 50px; 
            }
             @media(max-width: 600px){
               min-height: 180px;
               height: auto;
               width: 280px;
               padding: 15px 20px 10px 50px; 
            }
        }
        &__item-description{
            position: relative;
            font-family: OpenSans;
            font-size: 12px;
            color: #83919c;
            margin-bottom:20px ;
            @media(max-width: 900px){
              margin-bottom:15px ;
            }
        }
        &__item-description br{
            @media(max-width: 900px){
               display: none;
            }
        }
        &__item-description::before{
            content: "";
            position: absolute;
            left: -30px;
            top: 3px;
            width: 16px;
            height: 14px;
            // background-image: url("/assets/img/check5.svg");
        }
      
        
    }
    .tariff:nth-child(1) li::before{
            background-image: url("/assets/img/check5.svg");
    }
     .tariff:nth-child(2) li::before{
            background-image: url("/assets/img/checkV.svg");
    }
     .tariff:nth-child(3) li::before{
            background-image: url("/assets/img/check3.svg");
    }
     .tariff:nth-child(4) li::before{
            background-image: url("/assets/img/check2.svg");
    }
    .vip{
        background-color: #464d53;
        & h3, & p:last-child,  & p:last-child span{
            color: #dedc00;
        }
        & p:last-child {
            // width: 120px;
        }
        & p:first-child{
            color: #83919c;
        }
    }
    .standartP{
        background-color: #95c11f;
        & p:first-child{
            color: #d1e7af;
        }
    }
    .premium{
        background-color: #30b164;
        & p:first-child{
           color: #aae8ae;
        }
    }
    .standart{
    }
    

</style>
